<?xml version="1.0" encoding="utf-16"?>
<Connector id="pipe_connector" Version="1">
  <!--Define all system types.-->
  <SystemTypes>
    <SystemType id="domestic_cold_water">
      <Name Language="1045" Description="Typ systemu zaopatrzenia w zimną wodę - Dla systemów zaopatrujących w zimną wodę.">Zimna woda w mieszkaniach</Name>
    </SystemType>
    <SystemType id="domestic_hot_water">
      <Name Language="1045" Description="Typ systemu zaopatrzenia w ciepłą wodę - Dla systemów zaopatrujących w ciepłą wodę.">Ciepła woda w mieszkaniach</Name>
    </SystemType>
    <SystemType id="sanitary">
      <Name Language="1045" Description="Typ systemu sanitarnego - Dla systemów kanalizacyjnych.">Sanitarne</Name>
    </SystemType>
    <SystemType id="fire_protection_dry">
      <Name Language="1045" Description="Typ suchego zabezpieczenia przeciwpożarowego - Dla systemów zabezpieczenia przeciwpożarowego nie zawierających wody do momentu uruchomienia.">Suche zabezpieczenie przeciwpożarowe</Name>
    </SystemType>
    <SystemType id="fire_protection_other">
      <Name Language="1045" Description="Inne systemy zabezpieczenia przeciwpożarowego - Dla systemów zabezpieczenia przeciwpożarowego niemieszczących się w innych kategoriach.">Inne zabezpieczenia przeciwpożarowe</Name>
    </SystemType>
    <SystemType id="fire_protection_pre-action">
      <Name Language="1045" Description="Systemy prewencyjnego zabezpieczenia przeciwpożarowego">Prewencyjne zabezpieczenia przeciwpożarowe</Name>
    </SystemType>
    <SystemType id="fire_protection_wet">
      <Name Language="1045" Description="Typ mokrego zabezpieczenia przeciwpożarowego - Dla systemów zabezpieczenia przeciwpożarowego zawierających wodę.">Mokre zabezpieczenie przeciwpożarowe</Name>
    </SystemType>
    <SystemType id="undefined">
      <Name Language="1045" Description="Typ systemu globalnego - Dla treści niepasującej. Typ systemu będzie dziedziczony z systemu połączonego z nim.">Niezdefiniowane</Name>
    </SystemType>
    <SystemType id="other">
      <Name Language="1045" Description="Inny typ systemu - Dla systemów typu Inny.">Inny</Name>
    </SystemType>
    <SystemType id="hydronic_return">
      <Name Language="1045" Description="Typ systemu hydraulicznego zwrotnego - Dla systemów wodnych, w których woda wpływa do urządzeń.">Hydrauliczny zwrotny</Name>
    </SystemType>
    <SystemType id="hydronic_supply">
      <Name Language="1045" Description="Typ systemu hydraulicznego zaopatrującego - Dla systemów wodnych, w których woda wypływa z urządzeń.">Hydrauliczny zaopatrujący</Name>
    </SystemType>
  </SystemTypes>
  
  <!--Define all group names.-->
  <Groups>
    <Group id="constraints">
      <Name Language="1045" Description="Grupa parametrów wiązania">Ograniczenia</Name>
    </Group>
    <Group id="mechanical">
      <Name Language="1045" Description="Grupa parametrów mechanicznych">Mechaniczny</Name>
    </Group>
    <Group id="dimensions">
      <Name Language="1045" Description="">Wymiary</Name>
    </Group>
    <Group id="identity_data">
      <Name Language="1045" Description="">Dane tożsamości</Name>
    </Group>
  </Groups>
  
  <!--Define all enumerations.-->
  <Enums>
    <Enum id="loss_method_enum">
      <Item id="0">
        <Name Language="1045" Description="">Brak</Name>
      </Item>
      <Item id="1">
        <Name Language="1045" Description="">Współczynnik K</Name>
      </Item>
      <Item id="2">
        <Name Language="1045" Description="">Specyficzna stratność</Name>
      </Item>
    </Enum>
    <Enum id="flow_configuration_enum">
      <Item id="0">
        <Name Language="1045" Description="">Obliczony</Name>
      </Item>
      <Item id="1">
        <Name Language="1045" Description="">Ustalony</Name>
      </Item>
      <Item id="2">
        <Name Language="1045" Description="">Systemowy</Name>
      </Item>
      <Item id="3">
        <Name Language="1045" Description="">Jednostki osprzętu</Name>
      </Item>
    </Enum>
    <Enum id="flow_configuration_enum2">
      <Item id="0">
        <Name Language="1045" Description="">Obliczony</Name>
      </Item>
      <Item id="1">
        <Name Language="1045" Description="">Ustalony</Name>
      </Item>
      <Item id="2">
        <Name Language="1045" Description="">Systemowy</Name>
      </Item>      
    </Enum>
    <Enum id="flow_direction_enum">
      <Item id="0">
        <Name Language="1045" Description="">Powiększ</Name>
      </Item>
      <Item id="1">
        <Name Language="1045" Description="">Pomniejsz</Name>
      </Item>
      <Item id="2">
        <Name Language="1045" Description="">Dwukierunkowe</Name>
      </Item>
    </Enum>
    <Enum id="shape_enum">
      <Item id="0">
        <Name Language="1045" Description="">Okrągły</Name>
      </Item>
      <Item id="1">
        <Name Language="1045" Description="">Niezdefiniowane</Name>
      </Item>
    </Enum>
    <Enum id="connection_type_enum">
      <Item id="0">
        <Name Language="1045" Description="">Zlutowane</Name>
      </Item>
      <Item id="1">
        <Name Language="1045" Description="">Spawane prostokątnie</Name>
      </Item>
      <Item id="2">
        <Name Language="1045" Description="">Kapilarne</Name>
      </Item>
      <Item id="3">
        <Name Language="1045" Description="">Zaciskanie</Name>
      </Item>
      <Item id="4">
        <Name Language="1045" Description="">Połączenie</Name>
      </Item>
      <Item id="5">
        <Name Language="1045" Description="">Karbowane</Name>
      </Item>
      <Item id="6">
        <Name Language="1045" Description="">Kołnierz</Name>
      </Item>
      <Item id="7">
        <Name Language="1045" Description="">Stopienie</Name>
      </Item>
      <Item id="8">
        <Name Language="1045" Description="">Sklejenie</Name>
      </Item>
      <Item id="9">
        <Name Language="1045" Description="">Wyżłobione</Name>
      </Item>
      <Item id="10">
        <Name Language="1045" Description="">Połączenie suwliwe</Name>
      </Item>
      <Item id="11">
        <Name Language="1045" Description="">Spawane gniazdowo, lutowane, gwintowane, niezdefiniowane</Name>
      </Item>
      <Item id="12">
        <Name Language="1045" Description="">Lutowane</Name>
      </Item>
      <Item id="13">
        <Name Language="1045" Description="">Nagwintowany</Name>
      </Item>
      <Item id="14">
        <Name Language="1045" Description="">Niezdefiniowane</Name>
      </Item>
    </Enum>
  </Enums>
  
  <!--Define all parameters.-->
  <Parameters>
    <Parameter id="allow_slope_adjustment" Group="constraints" Type="boolean" Unit="" Default="">
      <Name Language="1045" Description="">Możliwa regulacja nachylenia</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="loss_method" Group="mechanical" Type="enum" Unit="" Default="0">
      <Name Language="1045" Description="">Metoda stratności</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>loss_method_enum</UseEnum>
      <Dependency>
        <Parameters>
          <Parameter>k_coefficient</Parameter>
          <Parameter>pressure_drop</Parameter>
        </Parameters>
        <Enum>
          <Item id="0"/>
          <Item id="1">
            <Parameter>k_coefficient</Parameter>
          </Item>
          <Item id="2">
            <Parameter>pressure_drop</Parameter>
          </Item>
        </Enum>
      </Dependency>
    </Parameter>
    <Parameter id="k_coefficient" Group="mechanical" Type="double" Unit="" Default="0">
      <Name Language="1045" Description="">Współczynnik K</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="pressure_drop" Group="mechanical" Type="double" Unit="Air_Pressure_Drop" Default="0">
      <Name Language="1045" Description="">Spadek ciśnienia</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="flow_configuration" Group="mechanical" Type="enum" Unit="" Default="1">
      <Name Language="1045" Description="">Konfiguracja przepływu</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
      </SystemTypes>
      <UseEnum>flow_configuration_enum</UseEnum>
      <Dependency>
        <Parameters>
          <Parameter>fixture_units</Parameter>
          <Parameter>flow_factor</Parameter>
          <Parameter>flow</Parameter>
        </Parameters>
        <Enum>
          <Item id="0"/>
          <Item id="1">
            <Parameter>flow</Parameter>
          </Item>
          <Item id="2">
            <Parameter>flow_factor</Parameter>
          </Item>
          <Item id="3">
            <Parameter>fixture_units</Parameter>
          </Item>
        </Enum>
      </Dependency>
    </Parameter>
    <Parameter id="flow_configuration2" Group="mechanical" Type="enum" Unit="" Default="1">
      <Name Language="1045" Description="">Konfiguracja przepływu</Name>
      <SystemTypes>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>flow_configuration_enum2</UseEnum>
      <Dependency>
        <Parameters>
          <Parameter>flow_factor</Parameter>
          <Parameter>flow</Parameter>
        </Parameters>
        <Enum>
          <Item id="0"/>
          <Item id="1">
            <Parameter>flow</Parameter>
          </Item>
          <Item id="2">
            <Parameter>flow_factor</Parameter>
          </Item>
        </Enum>
      </Dependency>
    </Parameter>
    <Parameter id="fixture_units" Group="mechanical" Type="double" Unit="" Default="">
      <Name Language="1045" Description="">Jednostki osprzętu</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="flow_factor" Group="mechanical" Type="double" Unit="" Default="">
      <Name Language="1045" Description="">Czynnik przepływu</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0" high="1"/>
    </Parameter>
    <Parameter id="flow" Group="mechanical" Type="double" Unit="Water_Flow" Default="">
      <Name Language="1045" Description="">Przepływ</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="flow_direction" Group="mechanical" Type="enum" Unit="" Default="2">
      <Name Language="1045" Description="">Kierunek przepływu</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>flow_direction_enum</UseEnum>
    </Parameter>
    <Parameter id="shape" Group="dimensions" Type="enum" Unit="" Default="0">
      <Name Language="1045" Description="">Kształt</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>        
      </SystemTypes>
      <UseEnum>shape_enum</UseEnum>
    </Parameter>
    <Parameter id="radius" Group="dimensions" Type="double" Unit="length" Default="">
      <Name Language="1045" Description="">Promień</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0+"/>
    </Parameter>
    <Parameter id="description" Group="identity_data" Type="string" Unit="" Default="">
      <Name Language="1045" Description="">Opis</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="connection_type" Group="mechanical" Type="enum" Unit="" Default="">
      <Name Language="1045" Description="">Typ połączenia</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>connection_type_enum</UseEnum>
    </Parameter>
  </Parameters>
</Connector>
